Name: ttcp
Version: 1.12
Release: 8
Source0: ftp://ftp.sgi.com/sgi/src/ttcp/ttcp.c
Source1: ftp://ftp.sgi.com/sgi/src/ttcp/ttcp.1
Source2: ftp://ftp.sgi.com/sgi/src/ttcp/README
Patch0: ttcp-overhaul.patch
Patch1: ttcp-stderr.patch
Patch2: ttcp-iface.patch
Patch3: ttcp-cleanup.patch
Patch4: ttcp-mcast-cleanup.patch
Summary: A tool for testing TCP connections.
Group: Applications/Internet
License: Public Domain
BuildRoot: %{_tmppath}/%{name}-root

%description
ttcp is a tool for testing the throughput of TCP connections.  Unlike other
tools which might be used for this purpose (such as FTP clients), ttcp does
not read or write data from or to a disk while operating, which helps ensure
more accurate results.

%prep
%setup -c -T
cp %{SOURCE0} %{SOURCE1} %{SOURCE2} .
chmod 644 *

%patch -p1 -b .overhaul
%patch1 -p1 -b .stderr
%patch2 -p0 -b .iface
%patch3 -p1 -b .cleanup
%patch4 -p1 -b .cleanup

%build
%{__cc} -o ttcp -Wall $RPM_OPT_FLAGS -DINET6 ttcp.c

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_mandir}/man1,%{_bindir}}
install -m755 ttcp $RPM_BUILD_ROOT%{_bindir}
install -m644 ttcp.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Thu Oct  8 2002 Pekka Savola <pekkas@netcore.fi>
- add patch from Stig Venaas to add multicast/wait support and further
cleanups (tailor a bit).

* Thu Oct  3 2002 Pekka Savola <pekkas@netcore.fi>
- add a patch to clean up a few signedness problems, make it work with ports
> 2^15
- fix jkyro's patch on systems w/o SO_BINDTODEVICE
- huge code cleanups

* Fri Oct  5 2001 Pekka Savola <pekkas@netcore.fi>
- patch from Jaakko H Kyro <jkyro@cs.helsinki.fi> to add a flag to specify
the used interface.  Useful for IPv6 link-local tests.

* Tue Jul 24 2001 Pekka Savola <pekkas@netcore.fi>
- patch to direct all stats to stderr (#49811)

* Wed Jul  4 2001 Pekka Savola <pekkas@netcore.fi>
- Create a big cleanup patch:
  * From BSD: fix some warnings
  * Implement full autodetected-at-runtime IPv6 support
  * Fix more warnings on my own
  * Use snprintf when use of fixed buffers is evident

* Tue May 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- fix defattr

* Thu May 10 2001 Nalin Dahyabhai <nalin@redhat.com>
- build initial package
